Commit 3e1450ba authored by Jasper St. Pierre's avatar Jasper St. Pierre
Browse files

clutter-backend: Request XI2.3

Since XIQueryVersion, the bad API that it is, chooses the first client
version that it gets, we need to ensure that we pass XIQueryVersion the
new XI2.3 version, knowing fully well that Clutter won't be confused
by the new features.

https://bugzilla.gnome.org/show_bug.cgi?id=692466
parent b58a1d66
......@@ -239,7 +239,7 @@ clutter_backend_x11_create_device_manager (ClutterBackendX11 *backend_x11)
{
#ifdef HAVE_XINPUT_2
int major = 2;
int minor = 2;
int minor = 3;
if (XIQueryVersion (backend_x11->xdpy, &major, &minor) != BadRequest)
{
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment